org.eclipse.rdf4j.query.resultio.text.tsv

## Class SPARQLResultsTSVReader

- java.lang.Object
- - com.opencsv.CSVReader
  - - org.eclipse.rdf4j.query.resultio.text.tsv.SPARQLResultsTSVReader

- All Implemented Interfaces:
    Closeable, AutoCloseable, Iterable<String[]>

      public class SPARQLResultsTSVReader
      extends com.opencsv.CSVReader

  This reader respects the TSV semantics of RDF4J and does absolutely no processing except for splitting the line on horizontal tabulator characters.

- - ### Field Summary

    - ### Fields inherited from class com.opencsv.CSVReader

      `br, DEFAULT_KEEP_CR, DEFAULT_MULTILINE_LIMIT, DEFAULT_SKIP_LINES, DEFAULT_VERIFY_READER, errorLocale, hasNext, keepCR, lineReader, linesRead, linesSkiped, multilineLimit, parser, peekedLine, READ_AHEAD_LIMIT, recordsRead, skipLines, verifyReader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SPARQLResultsTSVReader(Reader reader)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `readNext()`

    - ### Methods inherited from class com.opencsv.CSVReader

      `close, combineResultsFromMultipleReads, getLinesRead, getMultilineLimit, getNextLine, getParser, getRecordsRead, getSkipLines, isClosed, iterator, keepCarriageReturns, peek, readAll, setErrorLocale, setMultilineLimit, skip, validateResult, verifyReader`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### SPARQLResultsTSVReader

          public SPARQLResultsTSVReader(Reader reader)

  - ### Method Detail

    - #### readNext

          public String[] readNext()
                            throws IOException

      Overrides:
        `readNext` in class `com.opencsv.CSVReader`
      Throws:
        `IOException`

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.